OOUI\ButtonElement Class Reference

Element with a button. More...

Inheritance diagram for OOUI\ButtonElement:
[legend]
Collaboration diagram for OOUI\ButtonElement:
[legend]

## Public Member Functions

| __construct (Element $element, array $config=array())
| toggleFramed ($framed=null)
| Toggle frame. More...
| isFramed ()
| Check if button has a frame. More...
| getConfig (&$config)
Public Member Functions inherited from OOUI\ElementMixin
| __construct (Element $element, Tag $target, array $config=array())
| Create element. More...
| getConfig (&$config)
| Add properties to the given `$config` array to allow reconstruction of this widget via its constructor. More...

## Static Public Attributes

static | $targetPropertyName = 'button'
Static Public Attributes inherited from OOUI\ElementMixin
static string | $targetPropertyName = ''
| Property name for accessing the target on the element.

## Protected Attributes

boolean | $framed = false
| Button is framed.
Protected Attributes inherited from OOUI\ElementMixin
Element | $element = null
| Element being mixed into.

## Additional Inherited Members

Public Attributes inherited from OOUI\ElementMixin
Tag | $target = null
| Tag being targeted.

## Detailed Description

Element with a button.

Buttons are used for controls which can be clicked. They can be configured to use tab indexing and access keys for accessibility purposes.

## Constructor & Destructor Documentation

OOUI\ButtonElement::__construct | ( | Element | $element,
|  | array | $config = `array()`
| ) |  |

Parameters

  Element | $element | Element being mixed into
  array | $config | Configuration options
  boolean | $config,['framed'] | Render button with a frame (default: true)

## Member Function Documentation

OOUI\ButtonElement::isFramed | ( |  | ) |

Check if button has a frame.

Returns
  boolean Button is framed

OOUI\ButtonElement::toggleFramed | ( |  | $framed = `null` | ) |

Toggle frame.

Parameters

  boolean | $framed | Make button framed, omit to toggle

Returns
  $this

The documentation for this class was generated from the following file:

- php/mixins/ButtonElement.php